POW10(3)

NAME
pow10, pow10f, pow10l - base-10 power functions

SYNOPSIS
#define _GNU_SOURCE         /* See feature_test_macros(7) */
#include <math.h>

double pow10(double x);
float pow10f(float x);
long double pow10l(long double x);

Link with -lm.

DESCRIPTION
The pow10() function returns the value of 10 raised to the power x.

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
This is a GNU extension.

NOTES
These functions are identical to the functions listed under exp10(3).

SEE ALSO
exp10(3), pow(3)

COLOPHON
This page is part of release 3.39 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.